summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorTomas Chvatal <scarabeus@gentoo.org>2009-04-11 19:44:43 +0000
committerTomas Chvatal <scarabeus@gentoo.org>2009-04-11 19:44:43 +0000
commit23afea1427a74f5df53d4624d0d504253a23a020 (patch)
tree58a65daf3774b0ddaeb9bcf382c48cfd5ef26660 /eclass
parentAdd ~alpha/~ia64 wrt #260777 (diff)
downloadgentoo-2-23afea1427a74f5df53d4624d0d504253a23a020.tar.gz
gentoo-2-23afea1427a74f5df53d4624d0d504253a23a020.tar.bz2
gentoo-2-23afea1427a74f5df53d4624d0d504253a23a020.zip
Exit with error when runing src_compile and no Makefile is around.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/cmake-utils.eclass4
1 files changed, 3 insertions, 1 deletions
diff --git a/eclass/cmake-utils.eclass b/eclass/cmake-utils.eclass
index 4423e4fd3685..3d3da1b3cb37 100644
--- a/eclass/cmake-utils.eclass
+++ b/eclass/cmake-utils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/cmake-utils.eclass,v 1.24 2009/04/10 20:24:56 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/cmake-utils.eclass,v 1.25 2009/04/11 19:44:43 scarabeus Exp $
# @ECLASS: cmake-utils.eclass
# @MAINTAINER:
@@ -319,6 +319,8 @@ cmake-utils_src_make() {
_check_build_dir
pushd "${CMAKE_BUILD_DIR}" > /dev/null
+ # first check if Makefile exist otherwise die
+ [[ -e Makefile ]] || die "Makefile not found. Error during configure stage."
if [[ -n ${CMAKE_VERBOSE} ]]; then
emake VERBOSE=1 "$@" || die "Make failed!"
else